document.addEventListener('DOMContentLoaded', () => {
  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Animation for ranking cards
  const rankingCards = document.querySelectorAll('.ranking-card');
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = 1;
        entry.target.style.transform = 'translateX(0)';
      }
    });
  });

  rankingCards.forEach(card => {
    card.style.opacity = 0;
    card.style.transform = 'translateX(-20px)';
    card.style.transition = 'all 0.5s ease-in-out';
    observer.observe(card);
  });
});
